# Training Locations Training Locations ## Gets all of the training locations in the system. - [GET /trainingLocations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-locations/listtraininglocations.md): This method will scan all training locations and and return them to the caller. ## Creates a new training location record that does not already exist. - [POST /trainingLocations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-locations/createtraininglocation.md): This method will auto-generate an ID and create a new training location. If an ID is specified for the training location, an error will be thrown. ## Execute Batch Operations - [POST /trainingLocations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-locations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified training_provider_id - [GET /trainingLocations/{tenantId}/trainingProvider/{training_provider_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-locations/listlocationsbytrainingproviderid.md): Returns a list of records with the specified training_provider_id ## Returns a training location from the system by its ID. - [DELETE /trainingLocations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-locations/deletetraininglocation.md): This method will delete a training location with the specified ID. ## Returns a training location from the system by its ID. - [GET /trainingLocations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-locations/gettraininglocation.md): This method will look up a training location by the specified ID and return it back. ## Partially updates a training location with the specified ID. - [PATCH /trainingLocations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-locations/patchtraininglocation.md): This method will patch an existing training location with the specified ID, using the HTTP PATCH specification. ## Updates a training location with the specified ID. - [PUT /trainingLocations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-locations/updatetraininglocation.md): This method will update an existing training location with the specified ID.